XSInputSource (Xerces2 Implementation)
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class XSInputSource

    java.lang.Object
      org.apache.xerces.xni.parser.XMLInputSource
          org.apache.xerces.impl.xs.util.XSInputSource

    public final class XSInputSource

extends org.apache.xerces.xni.parser.XMLInputSource

Version:
  $Id: XSInputSource.java 789785 2009-06-30 15:10:26Z knoaman $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.xni.parser.XMLInputSource
`fBaseSystemId, fByteStream, fCharStream, fEncoding, fPublicId, fSystemId`

Constructor Summary
`XSInputSource(SchemaGrammar[] grammars)`
`XSInputSource(org.apache.xerces.xs.XSObject[] component)`

Method Summary
`org.apache.xerces.xs.XSObject[]` | `getComponents()`
`SchemaGrammar[]` | `getGrammars()`
`void` | `setComponents(org.apache.xerces.xs.XSObject[] components)`
`void` | `setGrammars(SchemaGrammar[] grammars)`

Methods inherited from class org.apache.xerces.xni.parser.XMLInputSource
`getBaseSystemId, getByteStream, getCharacterStream, getEncoding, getPublicId, getSystemId, setBaseSystemId, setByteStream, setCharacterStream, setEncoding, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSInputSource

    public XSInputSource(SchemaGrammar[] grammars)

### XSInputSource

    public XSInputSource(org.apache.xerces.xs.XSObject[] component)

Method Detail

### getGrammars

    public SchemaGrammar[] getGrammars()

### setGrammars

    public void setGrammars(SchemaGrammar[] grammars)

### getComponents

    public org.apache.xerces.xs.XSObject[] getComponents()

### setComponents

    public void setComponents(org.apache.xerces.xs.XSObject[] components)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.